# Transactions In

```
https://api.vechainstats.com/v2/account/txin
    ?address=0x6c0A6e1d922E0e63901301573370b932AE20DAdB
    &page=1
    &sort=desc
    &VCS_API_KEY=your_api_key
```

{% hint style="info" %}
Transactions on vechain can have multiple receivers but must always have 1 origin, this is exampled by the "clauses\_incoming" and "clauses\_total" fields. In the example response below, the requested address was the incoming receiver of 1 out of 2 clauses in all three unique transaction.
{% endhint %}

{% tabs %}
{% tab title="Request" %}

| Parameter    | Description                                                                             |
| ------------ | --------------------------------------------------------------------------------------- |
| address      | The address you want to query                                                           |
| page         | The `integer` page number, the available pages are shown in the response meta fields    |
| sort         | The sorting preference, use `asc` to sort by ascending and `desc` to sort by descending |
| {% endtab %} |                                                                                         |

{% tab title="Response" %}

```json
{
    "status": {
        "success": true,
        "message": "OK"
    },
    "data": [
        {
            "txid": "0x9d5c2e153324fd364f2c9db543a5552f83ec2364abe6d9a25e3d86ddbdd6d9b4",
            "status": "success",
            "from": "0xf84ad4f20e1ed650c410b2e279da14c36fe9b357",
            "block_height": 19000243,
            "block_timestamp": 1720530440,
            "clauses_incoming": 1,
            "clauses_total": 2
        },
        {
            "txid": "0x976ac0f6655d5f9eb285be39bd0c7280fc0ce752e5a91d5adec0babc0cc35258",
            "status": "reverted",
            "from": "0x7904999901885a5168dbcf024404f36c162f24d0",
            "block_height": 19000243,
            "block_timestamp": 1720530440,
            "clauses_incoming": 1,
            "clauses_total": 2
        },
        {
            "txid": "0x1e4fd92577e4e6cf5dae80a2dafd873aa1864b6e448300155419b74a6bd045f3",
            "status": "success",
            "from": "0xf84ad4f20e1ed650c410b2e279da14c36fe9b357",
            "block_height": 18993820,
            "block_timestamp": 1720466200,
            "clauses_incoming": 1,
            "clauses_total": 2
        }
    ],
    "meta": {
        "address": "0x6c0a6e1d922e0e63901301573370b932ae20dadb",
        "count": 901960,
        "page": 1,
        "pages": 4510,
        "per_page": 200,
        "sort": "desc",
        "timestamp": 1720533691
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vechainstats.com/api-endpoints/account/transactions-in.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
